Skip to main content
GET
/
cards
/
{cardId}
/
auth-controls
/
{authControlId}
cURL
curl --request GET \
  --url 'https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}?accountId={{accountId}}' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/cards/{cardId}/auth-controls/{authControlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "Spending controls",
  "id": "a1e54aed-8a68-4602-a792-30f4c67497cf",
  "active": true,
  "startTime": "2023-03-14T12:08:53Z",
  "endTime": "2023-03-14T12:08:53Z",
  "merchantScope": {
    "mcc": "3596",
    "mid": "string",
    "mccGroup": "Airlines"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

authControlId
string<uuid>
required
Maximum string length: 36

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

Response

200 - application/json

OK

name
string
required

The name of the authorisation control.

Maximum string length: 255
Example:

"Spending controls"

id
string<uuid>

Unique identifier of the resource. If an id is not provided one will be generated.

Maximum string length: 36
Example:

"a1e54aed-8a68-4602-a792-30f4c67497cf"

active
boolean

If the auth control is active. Default is true.

Example:

true

startTime
string<date-time>

Date and time when the control goes into effect, in UTC.

Example:

"2023-03-14T12:08:53Z"

endTime
string<date-time>

Date and time when the control ends, in UTC.

Example:

"2023-03-14T12:08:53Z"

merchantScope
object